#include "testlib.h"

using namespace std;

const int MAX_W = 1000000000;
const int MAX_M = 100000;

using ll = long long;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    int n = opt<int>("n");
    int k = has_opt("k") ? opt<int>("k") : 6;
    int m = opt<int>("m");

    bool eqp = has_opt("eqp") && opt<bool>("eqp");

    vector<pair<int, int>> ps;
    for (int x = 1; x <= k; ++x) {
        for (int y = 1; y <= k; ++y) {
            if (eqp && x != y) { continue; }
            ps.emplace_back(x, y);
        }
    }

    shuffle(ps.begin(), ps.end());

    println(n, k, m);
    for (int i = 0; i < m; ++i) {
        println(ps[i].first, ps[i].second);
    }
}