#include "testlib.h"

using namespace std;

using ll = long long;
ll const A = 1000'000'000;

ll check(InStream &in, int n, vector<ll> a) {
    ll max_d = in.readLong(0, A, "D");
    in.readSpace();
    int pos = in.readInt(1, n, "i");
    in.readSpace();
    a[pos - 1] = in.readLong(0, A, "a_i'");

    ll check_max_d = 0;
    for (int i = 1; i < n; ++i) {
        check_max_d = max(check_max_d, abs(a[i] - a[i - 1]));
    }

    in.ensuref(check_max_d == max_d, "new max actual dissonance %lld not equal that written %lld", check_max_d, max_d);
    return max_d;
}

int main(int argc, char *argv[]) {
    registerTestlibCmd(argc, argv);

    int n = inf.readInt();
    auto a = inf.readLongs(n);

    auto ja = check(ans, n, a), pa = check(ouf, n, a);
    if (ja > pa) quitf(_fail, "participant has a better answer than jury");
    if (pa > ja) quitf(_wa, "jury has a better answer than participant");
    quitf(_ok, "test ok");
}
