#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {

    registerValidation(argc, argv);

    int const N = 500'000;
    int const A = 1000'000'000;
    vector<int> Ng{N, N, N, 100, 100, 10000, 20000, N};
    vector<int> Ag{A, 2, 3, 100,   A,   100,     A, A};

    int g = validator.group().empty() ? atoi(validator.group().c_str()) : 0;

    int n = inf.readInt(1, Ng[g], "n");
    inf.readEoln();

    inf.readInts(n, 1, Ag[g], "a");
    inf.readEoln();
    inf.readEof();

}