#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int n = opt<int>("n");
    int k = has_opt("k") ? opt<int>("k") : rnd.next(1, n);
    int m = opt<int>("m");
    // modes: 1 -> b in s, but not in t
    //        2 -> b in t, but not in s
    //        3 -> b in t and in s

    ensuref(1 <= m && m <= 3, "mode should be in [1, 3]");

    string s, t;
    if (m == 1) {
        int pos = rnd.next(n);
        s = string(pos, 'a') + 'b' + string(n - pos - 1, 'a');
        t = string(k, 'a');

    } else if (m == 2) {
        s = string(n, 'a');
        int pos = rnd.next(k);
        t = string(pos, 'a') + 'b' + string(k - pos - 1, 'a');
    } else {
        int d = n - k;
        if (rnd.next(0, 1)) {
            int p1 = rnd.next(0, k - 1);
            int p2 = p1 + rnd.next(0, d);
            t = string(p1, 'a') + 'b' + string(k - p1 - 1, 'a');
            s = string(p2, 'a') + 'b' + string(n - p2 - 1, 'a');
        } else {
            int p1 = rnd.next(1, k - 1);
            t = string(p1, 'a') + 'b' + string(k - p1 - 1, 'a');
            int p2 = rnd.next(0, p1 - 1);
            s = string(p2, 'a') + 'b' + string(n - p2 - 1, 'a');
        }
    }

    println(s);
    println(t);
}