#include <iostream>
#include <vector>
#include <tuple>
#define fastio ios_base::sync_with_stdio(false);cin.tie(nullptr);cout.tie(nullptr);

using namespace std;

using ll = long long;

#define aaa(i) (((i) == p) ? v : a[i])
#define cp(x) make_pair(check(a,i, x), x)

ll check(const vector<ll> &a, int p, ll v) {
    ll check_max_d = 0;
    for (int i = 1; i < a.size(); ++i) {
        check_max_d = max(check_max_d, abs(aaa(i) - aaa(i - 1)));
    }
    return check_max_d;
}

int main() {
    fastio;
    int n;
    cin >> n;

    ll max_a = 1;
    vector<ll> a(n);
    for (int i = 0; i < n; ++i) {
        cin >> a[i];
        max_a = max(max_a, a[i]);
    }

    tuple<ll, int, ll> mind{LLONG_MAX, 0, 0};
    for (int i = 0; i < n; ++i) {
        ll left = 1;
        ll right = max_a;
//        cout << "=== " << i << "\n";
        while (right - left > 2) {
            ll x = (left * 2 + right) / 3;
            ll y = (left + right * 2) / 3;
//            cout << left << " " << right << ": " << x << " " << y << "\n";
            if (check(a, i, x) < check(a, i, y)) {
                right = y;
            } else {
                left = x;
            }
        }

        auto [d, v] = min(cp(left), min(cp(left + 1), cp(right)));
        mind = min(mind, make_tuple(d, i + 1, v));
    }

    cout << get<0>(mind) << " " << get<1>(mind) << " " << get<2>(mind) << "\n";
}
